/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * (c) Copyright 1999-2003 by Tsukuba Bunko.
 *
 * $Id: BooleanDeserializer.java,v 1.1 2003/08/31 08:20:49 ppoi Exp $
 */
package tsukuba_bunko.resource;

/**
 * <code>java.lang.Boolean</code> 型のデータをデシリアライズする Deserializer です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public class BooleanDeserializer	extends SimpleDeserializer	{

	/**
	 * <code>BooleanDeserializer</code> のインスタンスを生成します。
	 */
	public BooleanDeserializer()
	{
		super();
	}


//
//	SimpleDeserializer の実装
//
	public Object convertValue( String source )
	{
		if( (source != null) && ("true".equalsIgnoreCase(source) || "yes".equalsIgnoreCase(source) || "on".equalsIgnoreCase(source)) )	{
			return Boolean.TRUE;
		}
		else	{
			return Boolean.FALSE;
		}
	}
}
